import java.io.*;
import java.util.*;

class sctest {

   static String [] tests = {
      "AB13 0JW,+57.1,-2.23,+38,+38,",
      "AB13 xxx,+57.1,-2.23,+38,+38,-1,-1,-1,-1,-1,1",
      "AB13 0JU,57.112005,-b.234087,385921,385921,",
      "1.1, 4, 5.6,2,-4,-3.3",
   };

   static void parse( String line ) {
      Scanner scan = new Scanner( line );
      scan.useDelimiter( "," );
      String code = "";
      double x = -111.111, y = 111.111;
      if( scan.hasNext() ) code = scan.next(); 
      if( scan.hasNext() )
         try { x = new Double( scan.next() ).doubleValue(); }
         catch( java.lang.NumberFormatException ex ) { x = -999.999; }
      if( scan.hasNext() ) 
         try { y = new Double( scan.next() ).doubleValue(); }
         catch( java.lang.NumberFormatException ex ) { y = -999.999; }
      System.out.println( line + "\t=> " + code + "\t| " + x + "\t| " + y );
      scan.close();
   }

   static void loop( String line ) {
      Scanner scan = new Scanner( line );
      scan.useDelimiter( "," );
      while( scan.hasNext() ) {
         boolean db = scan.hasNextDouble();
         String code = scan.next();
         System.out.print( "[" + ( db ? '+' : '-' ) + "] " + code + " | " );
      }
      System.out.println();
      scan.close();
   }

   public static void main( String args[] ) {
      Locale lc = Locale.getDefault();
      String ls = lc.toString();
      if( args.length > 0 ) {
         lc = new Locale( "en", "US" ); 
         Locale.setDefault( lc );
      }
      System.out.println( "locale: " + ls + " => " + lc );
/*    Locale [] alc = Locale.getAvailableLocales();
      for( Locale l : alc )
         System.out.print( l + " " );
      System.out.println(); */
      for( String s : tests ) {
         parse( s );
         loop(s );
      }
   }
}
